﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO.Ports;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using static System.Windows.Forms.VisualStyles.VisualStyleElement;

namespace TunerNerd
{
    public partial class TunerNerdGUI : Form
    {
        private DAMReader damReader;
        public TunerNerdGUI(DAMReader d)
        {
            InitializeComponent();
            damReader = d;
            var portnames = SerialPort.GetPortNames();
            comPortComboBox.Items.AddRange(portnames);
        }

        private void connectButton_Click(object sender, EventArgs e)
        {
            damReader.Connect(comPortComboBox.SelectedText, 5);

            if (damReader.Connected)
                connectedStatusLabel.Text = "Connected";
            else
                connectedStatusLabel.Text = "Not connected";
        }
    }
}
